Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IAncestor

All Known Implementing Classes:
  FCheckBox, FCheckBoxMenuItem, FComboBox, FEditorPane, FInternalFrame, FLabel, FList, FMenu, FMenuBar, FMenuItem, FPanel, FPasswordField, FPopupMenu, FRadioButton, FRadioButtonMenuItem, FTable, FTextArea, FTextField, FTextPane, FToggleButton, FToolBar, FTree

public interface IAncestor

Interface fuer AncestorEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer AncestorEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addAncestorListener(AncestorListener listener)` Fuegt dem Control den uebergebenen Listener als AncestorListener hinzu.
`String` | `getActionClassForAncestor()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AncestorEvent ausgeloest wurde.
`void` | `removeAncestorListener(AncestorListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForAncestor(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AncestorEvent ausgeloest wurde.

Method Detail

### getActionClassForAncestor

    public String getActionClassForAncestor()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AncestorEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer AncestorEvent.

### setActionClassForAncestor

    public void setActionClassForAncestor(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AncestorEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer AncestorEvent.

### addAncestorListener

    public void addAncestorListener(AncestorListener listener)

  Fuegt dem Control den uebergebenen Listener als AncestorListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende AncestorListener.

### removeAncestorListener

    public void removeAncestorListener(AncestorListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD